## pacemaker 1.1.18

=== debian/changelog ===
pacemaker (1.1.18-0ubuntu1) bionic; urgency=medium

  * New upstream release (1.1.18)
    - Drop upstreamed patches and refresh others.
    - LP: #1763085

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 11 Apr 2018 09:23:27 -0700

pacemaker (1.1.18~rc4-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1743059). Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main
      inclusion.
  * Drop:
    - d/control: Promote crmsh | pcs to Recommends for upgraders from
      14.04.
      [ Not needed since 16.10 ]
  * Properly restart corosync and pacemaker together (LP: #1740892)
    - d/pacemaker.preinst: flag corosync to restart pacemaker on
      upgrade.
    - d/pacemaker.postinst: clear flag unconditionally in case of errors
      + The preinst and postinst changes can be dropped after bionic
        releases as long as the other changes are maintained.
    - debian/patches/pacemaker_is_partof_corosync.patch: Default systemd
      unit hard-requires corosync.  LP #1740892.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 30 Jan 2018 16:38:09 -0800

pacemaker (1.1.18~rc3-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main
      inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from
      14.04.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 03 Nov 2017 08:11:06 -0700

pacemaker (1.1.17-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - d/control: Promote crmsh | pcs to Recommends for upgraders from 14.04.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 09 Aug 2017 10:52:14 -0700
