=== debian/tests/control ===
Depends: pacemaker, pacemaker-cli-utils
Restrictions: needs-root, allow-stderr, isolation-container
Tests: pacemaker
