## pacemaker 1.1.24

=== debian/changelog ===
pacemaker (1.1.24-0+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * New upstream release 1.1.24.
    - Fix CVE-2018-16877:
      A flaw was found in the way pacemaker's client-server authentication was
      implemented. A local attacker could use this flaw, and combine it with
      other IPC weaknesses, to achieve local privilege escalation.
    - Fix CVE-2018-16878:
      A flaw was found in pacemaker. An insufficient verification inflicted
      preference of uncontrolled processes can lead to denial-of-service.
    - Fix CVE-2020-25654:
      An ACL bypass flaw was found in pacemaker. An attacker having a local
      account on the cluster and in the haclient group could use IPC
      communication with various daemons directly to perform certain tasks that
      they would be prevented by ACLs from doing if they went through the
      configuration.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Dec 2020 23:50:36 +0100

pacemaker (1.1.16-1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Revert patch for CVE-2020-25654 until a better solution can be found to
    address a regression when communication takes place between corosync and
    pacemaker. See Debian bug #974563 for further information.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2020 07:41:35 +0000

pacemaker (1.1.16-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2020-25654:
    An ACL bypass flaw was found in pacemaker. An attacker having a local
    account on the cluster and in the haclient group could use IPC
    communication with various daemons directly to perform certain tasks that
    they would be prevented by ACLs from doing if they went through the
    configuration.

 -- Markus Koschany <apo@debian.org>  Tue, 10 Nov 2020 20:17:46 +0100
