=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
+ Richard B Winters <rik@mmogp.com>,
  Ferenc Wágner <wferi@debian.org>,
+ Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  cluster-glue-dev,
 # debian/check_header_deps needs:
  dctrl-tools,
- debhelper (>= 10),
+ debhelper (>= 9),
+ dh-autoreconf,
  dh-exec,
+ dh-systemd,
 # resource agent man pages are generated via:
  docbook-xsl,
  help2man,
@@ -45,7 +48,7 @@
  graphviz,
  inkscape,
  publican,
-Standards-Version: 4.1.1
+Standards-Version: 3.9.8
 Homepage: http://www.clusterlabs.org/
 Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/pacemaker.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/pacemaker.git
@@ -93,13 +96,23 @@
  ${misc:Depends},
  ${perl:Depends},
  ${shlibs:Depends},
+ libcib4 (= ${source:Version}),
+ libcrmcluster4 (= ${source:Version}),
+ libcrmcommon3 (= ${source:Version}),
+ libcrmservice3 (= ${source:Version}),
+ liblrmd1 (= ${source:Version}),
+ libpe-rules2 (= ${source:Version}),
+ libpe-status10 (= ${source:Version}),
+ libpengine10 (= ${source:Version}),
+ libstonithd2 (= ${source:Version}),
+ libtransitioner2 (= ${source:Version})
 Recommends:
+ fence-agents,
  pacemaker-cli-utils,
 Suggests:
 # the fence_legacy helper uses /usr/sbin/stonith from cluster-glue:
  cluster-glue,
  crmsh | pcs,
- fence-agents,
 Breaks:
  pacemaker-remote,
 # pulled in crm_attribute and crm_node, because they depend on the
@@ -183,6 +196,8 @@
  ${DESCRIPTION}
  This package contains the Cluster Information Base library.
 
+# FIXME include transitional numbered -dev packages?
+
 Package: libcib-dev
 Architecture: any
 Multi-Arch: same
@@ -260,7 +275,6 @@
 Depends:
  libcrmcommon3 (= ${binary:Version}),
  libtransitioner2 (= ${binary:Version}),
- libxml2-dev,
  ${header:Depends},
  ${misc:Depends},
 # crm/common/ipc.h and other headers moved in
@@ -421,8 +435,6 @@
  ${misc:Pre-Depends},
 Depends:
  libstonithd2 (= ${binary:Version}),
-# stonith-ng.h has a TO-DO: Work out how to drop this requirement
- libxml2-dev,
  ${header:Depends},
  ${misc:Depends},
 Description: cluster resource manager STONITH daemon library development
@@ -442,3 +454,7 @@
 Description: cluster resource manager transitioner library
  ${DESCRIPTION}
  This package contains the transitioner library.
+
+# FIXME make libtransitioner1-dev transitional to libcrmcommon-dev?
+# FIXME make libpe-rules?-dev transitional to libpengine-dev
+# FIXME make libpe-status?-dev transitional to libpengine-dev
