=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure that we link against all needed libraries (cf. Policy 10.2)
# This needs adding libraries to libpengine_la_LIBADD
# Not upstreamed, see https://github.com/ClusterLabs/pacemaker/pull/800
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# Avoid useless dependencies in the utilities
export DEB_LDFLAGS_MAINT_APPEND+=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,systemd

# autoreconf options taken from autogen.sh
# without symlink usage (-s) to make --as-needed effective
override_dh_autoreconf:
	dh_autoreconf --as-needed autoreconf -- -vif -Wno-portability

override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
		--disable-tests \
		--with-brand=clusterlabs \
		--with-configdir=/etc/default \
		--libexecdir=/usr/lib
# because the daemon executables and Nagios plugins don't need multiarch paths

override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) doxygen
	# the Doxygen output isn't installed, we can cleanup immediately:
	rm doc/api/html/*.md5

# make check does not check the compiled software, but rebuilds everything
# with clang.  This takes a lot of time and does not help us at all.  Skip.
override_dh_auto_test:

empty_dir = debian/tmp/usr/share/doc/pacemaker/Pacemaker_Development/desktop/en-US/images
override_dh_install:
	rm -r	debian/tmp/usr/lib/*/lib*.la \
		debian/tmp/usr/share/doc/pacemaker/COPYING \
		debian/tmp/usr/share/doc/pacemaker/README.markdown \
		debian/tmp/usr/share/doc/pacemaker/licenses
	# If anything ever appears in this directory, add it to doc-base
	# (it's installed in indep builds only).
	if [ -d "$(empty_dir)" ]; then \
	    rm $(empty_dir)/.keep; \
	    rmdir $(empty_dir); \
	fi
	dh_install --fail-missing
	debian/check_header_deps pacemaker

override_dh_installdocs:
	dh_installdocs -A README.markdown

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installinit:
# Upstream ships the pacemaker and pacemaker-remote the init files,
# so we have to force the maintainer script modifications
	dh_installinit -p pacemaker --onlyscripts
	dh_installinit -p pacemaker-remote --onlyscripts --name=pacemaker_remote
	dh_installinit --remaining-packages

override_dh_strip:
	dh_strip --dbgsym-migration=pacemaker-dbg

# Play safe
.DELETE_ON_ERROR:

DESC_SUBST=debian/description.subst

$(DESC_SUBST): debian/description
	tr '\n' _ < $< | sed 's/^/DESCRIPTION=/;s/_/$${Newline}/g' >$@

override_dh_gencontrol: $(DESC_SUBST)
	debian/check_header_deps
	dh_gencontrol -- -T$<

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/api

override_dh_clean:
	dh_clean $(DESC_SUBST)
