## pacemaker 2.0.1

=== debian/changelog ===
pacemaker (2.0.1-5+deb10u2) buster; urgency=medium

  [ Andreas Beckmann ]
  * [b55ccb2] pacemaker-resource-agents: Bump Breaks+Replaces: pacemaker
    to (<< 2)
    A new upstream release introduced as security update 1.1.24-0+deb9u1 in
    stretch added the new file /usr/lib/ocf/resource.d/pacemaker/ifspeed to
    pacemaker, while it resides in pacemaker-resource-agents in buster.
    (Closes: #985173)
  * [ff20fc2] libpe-status28/libpengine27: Add Breaks against libpe-status10
    and libpengine10 (>= 1.1.24)
    The version in stretch-security shipped libraries with SOVERSION 16
    instead of 10.  (See: #981088)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 07 Aug 2022 12:31:52 +0200

pacemaker (2.0.1-5+deb10u1) buster-security; urgency=high

  * [bf23450] Apply patch series fixing CVE-2020-25654: ACL bypass.
    A vulnerability was found in Pacemaker allowing a user who is in the
    haclient group but restricted by ACLs to bypass those ACLs, providing
    cluster-wide arbitrary code execution with root privileges.  When the
    enable-acl cluster option isn't set to true, members of the haclient
    group (and root) can modify Pacemaker's CIB without restriction, which
    already gives them these capabilities, so there is no additional
    exposure in that case.
    More info: https://www.openwall.com/lists/oss-security/2020/10/27/1
    Patches: https://lists.clusterlabs.org/pipermail/developers/2020-October/002324.html
    Thanks to Ken Gaillot (Closes: #973254)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 07 Nov 2020 20:21:48 +0100

pacemaker (2.0.1-5) unstable; urgency=medium

  * [17ae230] Backport three more patches from upstream fixing memory safety
    bugs.
    Clearing up fallout from the preceding security fixes.
    Thanks to Ken Gaillot <kgaillot@redhat.com>

 -- Ferenc Wágner <wferi@debian.org>  Sun, 02 Jun 2019 14:01:06 +0200

pacemaker (2.0.1-4) unstable; urgency=high

  * [54ace53] Fix check for already present statoverride.
    When adding flexible modes in 2.0.1-3 (3c7b0b4), I accidentally broke
    the check, and the breakage led to piupart failures.  (Closes: #928841)
  * High urgency due to the security fix in the not yet migrated 2.0.1-3.

 -- Ferenc Wágner <wferi@debian.org>  Sun, 12 May 2019 14:23:41 +0200

pacemaker (2.0.1-3) unstable; urgency=high

  * [20ccd21] Shorten and explain the autopkgtest wait
  * [3c7b0b4] Ship /var/log/pacemaker, the new default directory of the detail
    logs.
    Without this directory the default configuration emits errors and the
    detail log is simply not written.
    The /var/log/pacemaker.log* detail log files from Pacemaker 1 are not
    moved automatically on upgrade, but this new /var/log/pacemaker
    directory and its contents are removed when purging pacemaker-common.
    The owner and mode of the log directory is set to let clients like
    crm_resource --force-start running as any user in the haclient group
    write their messages into the detail log.  The logrotate config relies
    on these settings as well.
  * [21a4325] Drop a build patch: libtransitioner does not use liblrmd since
    092281b
  * [920ca93] Apply upstream security pull request #1749.
    Cumulative patchset to fix CVE-2019-3885, CVE-2018-16877, CVE-2018-16878
    + additional unmasked null pointer deref
    1. CVE-2018-16877: Insufficient local IPC client-server authentication
       on the client's side can lead to local privesc.  A local attacker
       could use this flaw, and combine it with other IPC weaknesses, to
       achieve local privilege escalation.
    2. CVE-2018-16878: Insufficient verification inflicted preference of
       uncontrolled processes can lead to DoS.
    3. CVE-2019-3885: A use-after-free defect was discovered in pacemaker
       that can possibly lead to unsolicited information disclosure in the
       log outputs.
    The Travis CI fix also in the GitHub pull request was omitted here.
    (Closes: #927714)
  * [501e5bb] We've got exactly two daemons
  * [c0f7339] Move to debhelper compat level 12.
    To avoid #887904: dh_installsystemd will unmask services *after* an
    attempt to start them, leaving them stopped upon re-installation.
    Pacemaker is not affected by any other changes between compat level 11
    and 12, because we disable dh_dwz anyway (currently it isn't compatible
    with libqb).

 -- Ferenc Wágner <wferi@debian.org>  Tue, 07 May 2019 17:19:08 +0200

pacemaker (2.0.1-2) unstable; urgency=medium

  * [d8939cc] Avoid file conflicts with leftover packages from wheezy.
    Pacemaker-dev in wheezy was a metapackage pulling in several -dev
    packages.  It is removed during the jessie dist-upgrade due to
    dependency problems, and jessie does not have pacemaker at all, so these
    obsolete -dev packages are left behind, unless replaced by the
    renamed -dev packages from jessie-backports or later from stretch, both
    of which requires manual action.  Lacking that, a manual install of the
    reintroduced pacemaker-dev from buster will try to overwrite headers
    from those obsolete -dev packages causing file conflicts, because the
    old Breaks+Replaces relations weren't carried over from the stretch
    packages. (Closes: #925354)

 -- Ferenc Wágner <wferi@debian.org>  Mon, 01 Apr 2019 13:39:28 +0200

pacemaker (2.0.1-1) unstable; urgency=medium

  * [7d6ff2e] New upstream release (2.0.1)

 -- Ferenc Wágner <wferi@debian.org>  Mon, 04 Mar 2019 21:34:46 +0100

pacemaker (2.0.1~rc5-1) unstable; urgency=medium

  * [79e9089] Drop duplicate external library linkages
  * [07f0c78] Make the libpe_rules dependency of schedulerd explicit
  * [5346dc9] New upstream pre-release (2.0.1~rc5)
  * [c5ce20d] Refresh our patches
  * [af3fc54] Update libcrmcommon34.symbols

 -- Ferenc Wágner <wferi@debian.org>  Tue, 26 Feb 2019 09:52:21 +0100

pacemaker (2.0.1~rc4-1) unstable; urgency=medium

  * [dfc5875] New upstream pre-release (2.0.1~rc4)
  * [e25c248] Refresh our patches

