## pacemaker 2.0.1.1

=== debian/changelog ===
pacemaker (2.0.1.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>  Thu, 17 Dec 2020 14:36:01 +0800
