=== debian/control ===
--- 
+++ 
@@ -84,9 +84,9 @@
  ${misc:Depends},
 # split out of pacemaker so that pacemaker-remote can also use them:
 Breaks:
- pacemaker (<< 2),
-Replaces:
- pacemaker (<< 2),
+ pacemaker (<< 1.1.14-2~),
+Replaces:
+ pacemaker (<< 1.1.14-2~),
 Description: cluster resource manager general resource agents
  ${S:X-Common-Description}
  .
@@ -270,10 +270,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
-# The new upstream version in stretch-security shipped
-# SOVERSION 16 instead of 10 (see #981088), get it removed:
- libpe-status10 (>= 1.1.24),
 Description: cluster resource manager Policy Engine status library
  ${S:X-Common-Description}
  .
@@ -286,10 +282,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
-# The new upstream version in stretch-security shipped
-# SOVERSION 16 instead of 10 (see #981088), get it removed:
- libpengine10 (>= 1.1.24),
 Description: cluster resource manager Policy Engine library
  ${S:X-Common-Description}
  .
