## pacemaker 2.0.3

=== debian/changelog ===
pacemaker (2.0.3-3) unstable; urgency=medium

  * [543574f] Omit pacemaker{, -cli-utils, -remote} on Ubuntu/i386
    (Closes: #948379)
  * [327889e] Reenable dwz, it already works with the magic sections from libqb

 -- Ferenc Wágner <wferi@debian.org>  Sun, 12 Jan 2020 13:08:03 +0100

pacemaker (2.0.3-2) unstable; urgency=medium

  * [2b80438] Special libqb symbols not present on Power architectures
  * [99905eb] New patch: Avoid clashes with glibc error codes on HPPA
  * [b3928b4] Add -dev package dependencies
  * [712627c] Suppress stderr output of autopkgtest instead of ignoring it
  * [8f47294] Generate an autopkgtest artifact
  * [1e66b70] Run Salsa CI reprotest with diffoscope
  * [4560320] Recognize the autopkgtest artifacts in Salsa CI

 -- Ferenc Wágner <wferi@debian.org>  Wed, 08 Jan 2020 20:02:12 +0100

pacemaker (2.0.3-1) unstable; urgency=medium

  * [20ccd21] Shorten and explain the autopkgtest wait
  * [d2eb58b] Ship /var/log/pacemaker, the new default directory of the detail
    logs.
    Without this directory the default configuration emits errors and the
    detail log is not written.  The old /var/log/pacemaker.log* detail log
    files are not moved automatically on upgrade, but the /var/log/pacemaker
    directory is removed when purging pacemaker-common.
  * [6d373b3] Drop a patch: libtransitioner does not use liblrmd since 092281b
  * [5b8f4bf] New upstream pre-release (2.0.2~rc1)
  * [ab9d200] Remove obsolete patch, refresh the rest
  * [21ab824] Update changelog for 2.0.2~rc1-1 release
  * [3cc6291] New patch: libpacemaker directly uses libcrmcommon
  * [edc559c] The doxygen target moved into the doc subdirectory (5c77ae3)
  * [d9c423f] libpengine and libtransitioner merged into libpacemaker
  * [d361d67] pacemaker-dev is our single umbrella dev package
  * [a407d6e] Some agents use top, so Depend on procps
  * [7cb9d3a] Ship the new HealthIOWait resource agent
  * [313cb68] Ship the new crm_rule utility
  * [72dc571] New upstream release (2.0.2)
  * [2a58663] libpengine and libtransitioner merged into libpacemaker
  * [1198ccb] Update symbols files (all removed symbols were internal)
  * [dec7dcf] New patch: Don't reference the build path in the documentation
  * [de1a3f1] Update Standards-Version to 4.4.1 (no changes required)
  * [1dc4e5a] Advertise Rules-Requires-Root: no
  * [075b6a5] New upstream release (2.0.3)
  * [5fad681] Remove included patches, refresh the rest
  * [84788f8] Ship the new arch-independent pacemaker-schemas.pc
  * [c8bcad3] Update symbols files
  * [38cb849] Fix formatting of long license text
  * [fa95063] acls.txt was retired, the short placeholder text is not compressed
  * [b7a160d] Enroll to basic Salsa CI

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Dec 2019 21:08:01 +0100
