=== debian/control ===
--- 
+++ 
@@ -46,7 +46,8 @@
  graphviz,
  inkscape,
  publican,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://www.clusterlabs.org/
 Vcs-Git: https://salsa.debian.org/ha-team/pacemaker.git
 Vcs-Browser: https://salsa.debian.org/ha-team/pacemaker
@@ -80,6 +81,8 @@
 Package: pacemaker-resource-agents
 Architecture: all
 Depends:
+# some agents use top:
+ procps,
  resource-agents,
  ${misc:Depends},
 # split out of pacemaker so that pacemaker-remote can also use them:
@@ -251,6 +254,19 @@
  .
  This package contains the Local Resource Manager Daemon library.
 
+Package: libpacemaker1
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: cluster resource manager utility library
+ ${S:X-Common-Description}
+ .
+ This package contains the utility library resulting from the merge
+ of libpengine and libtransitioner.
+
 Package: libpe-rules26
 Architecture: any
 Multi-Arch: same
@@ -275,18 +291,6 @@
  .
  This package contains the Policy Engine status library.
 
-Package: libpengine27
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: cluster resource manager Policy Engine library
- ${S:X-Common-Description}
- .
- This package contains the Policy Engine library.
-
 Package: libstonithd26
 Architecture: any
 Multi-Arch: same
@@ -299,23 +303,12 @@
  .
  This package contains the STONITH daemon library.
 
-Package: libtransitioner25
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: cluster resource manager transitioner library
- ${S:X-Common-Description}
- .
- This package contains the transitioner library.
-
 Package: pacemaker-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
+ ${misc:Depends},
  libcib27 (= ${binary:Version}),
  libcrmcluster29 (= ${binary:Version}),
  libcrmcommon34 (= ${binary:Version}),
@@ -323,11 +316,17 @@
  liblrmd28 (= ${binary:Version}),
  libpe-rules26 (= ${binary:Version}),
  libpe-status28 (= ${binary:Version}),
- libpengine27 (= ${binary:Version}),
  libstonithd26 (= ${binary:Version}),
- libtransitioner25 (= ${binary:Version}),
+# we include headers from these:
+ libcpg-dev,
+ libglib2.0-dev,
+ libqb-dev,
  libxml2-dev,
- ${misc:Depends},
+# private pkg-config dependencies are only needed for static linking,
+# which we don't support, but pkg-config doesn't know this, so:
+ libgnutls28-dev,
+ libxslt1-dev,
+ uuid-dev,
 Breaks:
  libcib-dev (<< 2),
  libcrmcluster-dev (<< 2),
