=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,14 @@
 # Avoid useless dependencies in the utilities
 export DEB_LDFLAGS_MAINT_APPEND+=-Wl,--as-needed
 
+# Ubuntu/i386 shrank into a compatibility layer not carrying the
+# dependencies of some of our binary packages (#948379):
+ifeq ($(shell dpkg-vendor --query vendor)/$(DEB_HOST_ARCH), Ubuntu/i386)
+    UBUNTU_EXCLUDES = -Npacemaker -Npacemaker-cli-utils -Npacemaker-remote
+endif
+
 %:
-	dh $@ --with python3
+	dh $@ --with python3 $(UBUNTU_EXCLUDES)
 
 # autoreconf options taken from autogen.sh
 # without symlink usage (-s) to make --as-needed effective
@@ -31,7 +37,7 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build
-	$(MAKE) doxygen
+	$(MAKE) -C doc doxygen
 	# the Doxygen output isn't installed, we can cleanup immediately:
 	rm doc/api/html/*.md5
 
@@ -61,10 +67,6 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# Skip dh_dwz, which can't cope with the __verbose section of libqb:
-# dwz: Allocatable section in debian/pacemaker/usr/lib/pacemaker/cibmon after non-allocatable ones
-override_dh_dwz:
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf doc/api
